#ifndef COLLIDER_H
#define COLLIDER_H

#include <Eigen/Core>

class Particle;

class CollisionResponse
{
public:
    Eigen::Vector3d v;
    Eigen::Vector3d f;

    CollisionResponse () : v(0., 0., 0.), f(0., 0., 0.) {}
    CollisionResponse (Eigen::Vector3d v, Eigen::Vector3d f) : v(v), f(f) {}
};

class Collider
{
public:
    Collider();
    Collider(double c);

    virtual bool collide(Particle * p, CollisionResponse& coll) = 0;

protected:
    double _coef;
    CollisionResponse getResponse (const Particle* p, const Eigen::Vector3d & pos, const Eigen::Vector3d & n);
};

#endif // COLLIDER_H
