#ifndef PLANE_H
#define PLANE_H

#include <Eigen/Core>
#include "quad.h"

class Plane
{
private:
    Eigen::Vector3d _point;
    Eigen::Vector3d _normal;

    Quad* _quad;

public:
    Plane();
    Plane(Eigen::Vector3d, Eigen::Vector3d);

    Eigen::Vector3d getPos();
    void setPos(Eigen::Vector3d p);

    Eigen::Vector3d getNormal();
    void setNormal(Eigen::Vector3d n);

    Quad* getQuad() {return _quad;}
};

#endif // PLANE_H
