#include "Collider.h"
#include "particles.h"

Collider::Collider()
{

}

Collider::Collider(double c)
    : _coef(c)
{}

CollisionResponse Collider::getResponse (const Particle* p, const Eigen::Vector3d & pos, const Eigen::Vector3d & n) {
    Eigen::Vector3d p_v = p->v;
    Eigen::Vector3d p_pos = p->x;
    Eigen::Vector3d vn = n.dot(p_v) * n;
    Eigen::Vector3d vt = p_v - vn;

    Eigen::Vector3d new_v = vt - _coef * vn;
    Eigen::Vector3d d = p_pos - pos;
    double dotResult = d.dot(n);

    Eigen::Vector3d fc (0,0,0);
    if (std::abs(dotResult) < 0.01 && std::abs(n.dot(p_v)) < 0.01) {
        Eigen::Vector3d f = p->f;

        fc = -1 * (n.dot(f) * n);
    }

    return CollisionResponse(new_v, fc);
}
