#include "Plane.h"

Plane::Plane()
{
    _point = Eigen::Vector3d (0., 0., 0.);
    _normal = Eigen::Vector3d (0., 0., 1.);

    _quad = new Quad();


}

Plane::Plane(Eigen::Vector3d p, Eigen::Vector3d n) {
    _point = p;
    _normal = n;

    Eigen::Vector3f pp(_point.x(), _point.y(), _point.z());
    Eigen::Vector3f nn(_normal.x(), _normal.y(), _normal.z());

    _quad = new Quad();
    _quad->setTransformationMatrix(Eigen::Affine3f(
                                       Eigen::Translation3f(pp) *
                                       Eigen::AngleAxisf(
                                                       std::acos(nn.dot(Eigen::Vector3f::UnitZ())),
                                                       nn.cross(Eigen::Vector3f::UnitZ()))
                                   ));
}

Eigen::Vector3d Plane::getPos() {
    return _point;
}

void Plane::setPos(Eigen::Vector3d p) {
    _point = p;
}

Eigen::Vector3d Plane::getNormal() {
    return _normal;
}

void Plane::setNormal(Eigen::Vector3d n){
    _normal = n;
}
