#include <stdlib.h>
#include <Eigen/Core>
#include "PlaneCollider.h"
#include "particles.h"

PlaneCollider::PlaneCollider(Plane* plane, double coef)
    : _plane(plane), _coef(coef)
{

}

bool PlaneCollider::collide(Particle *p, CollisionResponse& coll) {
    if (p) {
        Eigen::Vector3d p_pos = p->x;
        Eigen::Vector3d p_v = p->v;

        Eigen::Vector3d d = p_pos - _plane->getPos();

        Eigen::Vector3d n = _plane->getNormal();
        double dotResult = d.dot(n);

        if (dotResult < 0.001 && n.dot(p_v) < 0) { // Si collision
            // On calcul la reponse
            CollisionResponse response = getResponse(p, _plane->getPos(), _plane->getNormal());

            coll.f = response.f;
            coll.v = response.v;

            return true;
        }
    }

    return false;
}
