#include "integration.h"
#include <iostream>
using namespace std;

void explicitEulerStep (ODESystem *system, double dt) {
    VectorXd state = VectorXd();
    state.resize(system->getDimensions());
    system->getState(state);

    VectorXd derivatives = VectorXd();
    derivatives.resize(system->getDimensions());
    system->getDerivative(derivatives);

    VectorXd new_state = state + dt * derivatives;

    system->setState(new_state);
}

void midPointStep (ODESystem *system, double dt) {
    VectorXd state = VectorXd();
    state.resize(system->getDimensions());
    system->getState(state);

    VectorXd derivatives = VectorXd();
    derivatives.resize(system->getDimensions());
    system->getDerivative(derivatives);

    VectorXd mid_state = state + dt/2 * derivatives;

    system->setState(mid_state);
    system->getDerivative(derivatives);

    VectorXd new_state = state + dt * derivatives;
    system->setState(new_state);
}
